summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorMilk Brewster2020-03-15 15:11:41 +0000
committerMilk Brewster2020-03-15 15:11:41 +0000
commit027163efa91759339cbab210a13bd791beb97987 (patch)
tree1c482255fb58a29ffb4f4e1a6ab576806b260254 /PKGBUILD
downloadaur-vcf.lv2-git.tar.gz
initial commit
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD48
1 files changed, 48 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..c0135cf15c5
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,48 @@
+# Maintainer: Milkii Brewster <milkii on Freenode IRC>
+pkgname=vcf.lv2-git
+pkgdesc="VCF plugins by Matthias Nagorni ported to the LV2 specification"
+pkgver=v0.0.2.r7.gc07fb4a
+pkgrel=1
+epoch=
+arch=(x86_64)
+url="https://github.com/linuxmao-org/vcf-lv2"
+license=(GPL)
+groups=()
+depends=('lv2')
+makedepends=()
+checkdepends=()
+optdepends=()
+provides=()
+conflicts=()
+replaces=()
+backup=()
+options=()
+install=
+changelog=
+source=(vcf.lv2-git::git+https://github.com/linuxmao-org/vcf-lv2)
+noextract=()
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+prepare() {
+ cd "$pkgname"
+}
+
+build() {
+ cd "$pkgname"
+ # ./configure --prefix=/usr
+ make
+}
+
+package() {
+ cd "$pkgname"
+ mkdir -p "$pkgdir/usr/lib/lv2"
+ make INSTALL_DIR="$pkgdir/usr/lib/lv2" install-system
+}